> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 日次アクティブユーザー数を取得

> 指定した期間内の各日の日次アクティブユーザー数を取得します。

<div id="permissions">
  ## 権限
</div>

組織レベルで`ViewOrgMetrics`権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/organizations/{org_id}/metrics/dau
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/metrics/dau:
    get:
      tags:
        - metrics
      summary: 日次アクティブユーザー数を取得
      description: 指定した期間内の各日の日次アクティブユーザー数を取得します。
      operationId: handle_get_dau_metrics_v3_organizations__org_id__metrics_dau_get
      parameters:
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: time_before
          required: true
          schema:
            title: Time Before
            type: integer
        - in: query
          name: time_after
          required: true
          schema:
            title: Time After
            type: integer
        - in: query
          name: min_sessions
          required: false
          schema:
            default: 1
            minimum: 0
            title: Min Sessions
            type: integer
        - in: query
          name: min_searches
          required: false
          schema:
            default: 1
            minimum: 0
            title: Min Searches
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActiveUserMetricsListResponse'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    ActiveUserMetricsListResponse:
      description: 検証済みのアクティブユーザー指標で、昇順に並び、期間が重複していない一覧。
      items:
        $ref: '#/components/schemas/ActiveUserMetricsResponse'
      title: ActiveUserMetricsListResponse
      type: array
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ActiveUserMetricsResponse:
      description: アクティブユーザー数の推移を示す単一エントリ。
      properties:
        active_users:
          title: Active Users
          type: integer
        end_time:
          title: End Time
          type: integer
        start_time:
          title: Start Time
          type: integer
      required:
        - start_time
        - end_time
        - active_users
      title: ActiveUserMetricsResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````